MozillaBuild 1.7 Release

565 views
Skip to first unread message

Kyle Huey

unread,
May 9, 2013, 11:15:49 AM5/9/13
to dev-platform
I am pleased to announce that (thanks to work by Ted) MozillaBuild 1.7 is
available at
http://ftp.mozilla.org/pub/mozilla.org/mozilla/libraries/win32/MozillaBuildSetup-Latest.exe

This release contains:
- Support for the 8.0 SDK with MSVC 2010
- Mercurial 2.5.4
- Python 2.7.4
- NSIS 2.22 has been removed.

To upgrade,

1. Remove your current mozillabuild installation. (If you can't remove the
existing installation, you probably have a Mozillabuild terminal open or
ssh-agent running. Terminate it and try again).
2. Install MozillaBuild 1.7.
3. Clobber (remove the object directory of) any trees you have. (If you
don't do this you'll get weird build errors).

Please file any problems you come across in mozilla.org::MozillaBuild.

- Kyle

Ryan VanderMeulen

unread,
May 9, 2013, 11:22:58 AM5/9/13
to
Note the information on the wiki about how to handle hg phases on Try
with the updated version of Mercurial.
https://wiki.mozilla.org/ReleaseEngineering/TryServer#hg_phases

Gregory Szorc

unread,
May 9, 2013, 1:00:11 PM5/9/13
to Kyle Huey, dev-platform
On 5/9/13 8:15 AM, Kyle Huey wrote:
> I am pleased to announce that (thanks to work by Ted) MozillaBuild 1.7 is
> available at
> http://ftp.mozilla.org/pub/mozilla.org/mozilla/libraries/win32/MozillaBuildSetup-Latest.exe
>
> This release contains:
> - Support for the 8.0 SDK with MSVC 2010
> - Mercurial 2.5.4
> - Python 2.7.4
> - NSIS 2.22 has been removed.

\o/

If you were previously using Mercurial 1.9 in MozillaBuild, I think
you'll find that 2.5.4 is much, much better. I urge everyone to upgrade
for this reason alone.

MozillaBuild was AFAIK the last thing holding us back from requiring
Python 2.7.3 to build the tree. So, I filed bug 870420 to up the build
requirements from 2.7.0+ to 2.7.3+. For the unaware, 2.7.3 fixes a whole
host of small bugs that we constantly have to work around. I'd rather we
just bump the version requirement than continue to toil with workarounds
to fixed Python bugs.

Clint Talbert

unread,
May 9, 2013, 2:46:43 PM5/9/13
to
On 5/9/2013 10:00 AM, Gregory Szorc wrote:

> MozillaBuild was AFAIK the last thing holding us back from requiring
> Python 2.7.3 to build the tree. So, I filed bug 870420 to up the build
> requirements from 2.7.0+ to 2.7.3+. For the unaware, 2.7.3 fixes a whole
> host of small bugs that we constantly have to work around. I'd rather we
> just bump the version requirement than continue to toil with workarounds
> to fixed Python bugs.
++ Get everything to python 2.7.3!

-- Clint
Reply all
Reply to author
Forward
0 new messages